Bug 55028 - Partition Names Incorrect When Installing or Upgrading to RedHat Linux V7.2
Partition Names Incorrect When Installing or Upgrading to RedHat Linux V7.2
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-24 13:07 EDT by Nick Metrowsky
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-29 14:04:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Metrowsky 2001-10-24 13:07:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Win98; U)

Description of problem:
When I try to upgrade or install RedHat Linux V7.2 on a PC with SCSI Disk Drives, I get Incorrect partition information. The PC is has three 
SCSI disk drives (the only devices on the SCSI controller). Disk Configuration in order of SCSI Address:

ID 0: Windows Me System (9.0gb IBM SCSI Disk 10,000 RPM)
ID 1: RedHat Linux V7.1 (4.3 gb Seagate Disk 7,200 RPM)
ID 2: Spare (2.1 gb Seagate Disk 5,400 RPM) - Used for storage of static data

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot the RedHat CD
2. Choose the "Install" option to get Disk Druid
3. Follow the steps to the Disk Druid Screen
4. View the Disk Druid Screen

Actual Results:  Disk Druid is displaying partitions similar to the following:

Partition Name                  File System Type
sdb1                                    FAT32                        SCSI ID: 0   
sdc1                                    Linux                          SCSI ID: 1
sdc2                                    swap
sdd1                                    FAT32                        SCSI ID: 2

Expected Results:  Disk Druid should display partitions similar to the following:

Partition Name                  File System Type
sda1                                    FAT32                        SCSI ID: 0   
sdb1                                    Linux                          SCSI ID: 1
sdb2                                    swap
sdc1                                    FAT32                        SCSI ID: 2

Additional info:

A coworker of mine was able to ugrade RedHat Linux from V7.1 to V7.2 on a standalone, IDE based Intel Based PC.

RedHat V7.1 was reinstalled, on the PC which is the subject of the Bug Report, and Disk Druid correctly reports the partitions.
The product installedsuccessfully; including the LILO dual-boot for Windows and RedHat Linux.

One last note, the RedHat V7.2 installtion seems to be adressing the correct physical SCSI ID when RedHat is installed, but the logical 
partition names are incorrect, as noted above. The install process does install to the correct physical drive. The reason I know this is that 
both the primary Windows Disk and Spare disk were not touched during the RedHat Linux V7.2 installation process. The install also 
modified the MBR, which rendered the target PC unbootable. The Windows Me Recovery Disk allowed me to issue the "fdisk /mbr" 
command to repair the MBR.  I then installed RedHat V7.1 and the target PC is operating normally. Finally, the LINUX Emergency Boot 
Disk, created by the RedHat V7.2 installation, like Disk Druid, also uses the incorrect partition names noted above.
Comment 1 Nick Metrowsky 2001-10-29 14:04:47 EST
I decided to disconnect external USB devices (Iomega Zip Drive and Iomega CD-RW Drive) and try the install again. I was able to sucessfully
upgrade from RedHat V7.1 to RedHat V72. The insall program somehow thinks that one of the Iomega devices should be assigned to
logical sda0. When the devices are disconnected, then the install program defines the Windows disk/partition as sda0. After the install, I
reconnected the devices and I had no problems booting to the Windows or Linux partitions. The devices are also available to Windows or
linux. So, I guess I solved my problem, but you may want to inform users to disconnect their external USB devices, if they encounter this
Comment 2 Brent Fox 2001-10-29 15:51:06 EST
We are aware of this problem and have released two boot disks to avoid the
problem.  They are at: http://people.redhat.com/~katzj/usbstoragedisk/
boot.img will allow you to do a cdrom install.
bootnet.img will allow you to do a network install using nfs, ftp, or http.

The easy workaround, as you have found, is to remove the USB storage devices
until after installation.

Note You need to log in before you can comment on or make changes to this bug.